Failed to run this command: nmctl register plugin kube5gnfvo -f simpleexampleplugin/

Hi ALL,

I complete free5gnfvo and free5gmano, then i try to deploy NSSI follow step from this link:

I’m trying below configuration but it failed to run nmctl register command. What should i configure the IP addresses in settings.py and config.yaml files below?
Could someone shed some light on this?

ubuntu@ubuntu-KVM:~$ cat simpleexampleplugin/config.yaml
allocate_file: “allocate/main.py”
deallocate_file: “deallocate/main.py”
nm_host: ‘10.104.202.18:8000’
nfvo_host: ‘10.108.38.80:8000’
subscription_host: ‘10.0.0.217:8082’

ubuntu@ubuntu-KVM:~$ cat free5gmano-cli/nm/settings.py
NM_HOST = ‘10.104.202.18’
NM_PORT = ‘30088’
NM_URL = ‘http://{0}:{1}/’.format(NM_HOST, NM_PORT)

ubuntu@ubuntu-KVM:~/free5gmano-cli/nm$ kubectl get service --all-namespaces
NAMESPACE NAME TYPE CLUSTER-IP EXTERNAL-IP PORT(S) AGE
default dual-network-nic-etcd-cluster ClusterIP None 2379/TCP,2380/TCP 10d
default dual-network-nic-etcd-cluster-client ClusterIP 10.100.188.113 2379/TCP 10d
default etcd-ui NodePort 10.102.50.10 80:32767/TCP 10d
default expose-dual-network-nic-etcd-cluster NodePort 10.110.7.19 2379:32379/TCP 10d
default free5gmano NodePort 10.104.202.18 8000:30088/TCP,8888:30008/TCP 143m
default free5gmano-mysql ClusterIP 10.98.123.166 3306/TCP 143m
default kube5gnfvo NodePort 10.108.38.80 8000:30888/TCP 144m
default kube5gnfvo-mysql ClusterIP 10.102.109.96 3306/TCP 144m
default kubernetes ClusterIP 10.96.0.1 443/TCP 11d
kube-system kube-dns ClusterIP 10.96.0.10 53/UDP,53/TCP,9153/TCP 11d
kube-system metrics-server ClusterIP 10.103.136.76 443/TCP 10d

`ubuntu@ubuntu-KVM:~$ nmctl register plugin kube5gnfvo -f simpleexampleplugin/
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 83, in create_connection
raise err
File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 73, in create_connection
sock.connect(sa)
TimeoutError: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 601, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 357, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.6/http/client.py”, line 1264, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.6/http/client.py”, line 1310, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.6/http/client.py”, line 1259, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.6/http/client.py”, line 1038, in _send_output
self.send(msg)
File “/usr/lib/python3.6/http/client.py”, line 976, in send
self.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 166, in connect
conn = self._new_conn()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f48e021f0f0>: Failed to establish a new connection: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host=‘10.104.202.18’, port=30088): Max retries exceeded with url: /plugin/management/ (Caused by NewConnectionError(’<urllib3.connection.HTTPConnection object at 0x7f48e021f0f0>: Failed to establish a new connection: [Errno 110] Connection timed out’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/bin/nmctl”, line 11, in
load_entry_point(‘nmctl’, ‘console_scripts’, ‘nmctl’)()
File “/usr/local/lib/python3.6/dist-packages/click/core.py”, line 829, in call
return self.main(*args, **kwargs)
File “/usr/local/lib/python3.6/dist-packages/click/core.py”, line 782, in main
rv = self.invoke(ctx)
File “/usr/local/lib/python3.6/dist-packages/click/core.py”, line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/local/lib/python3.6/dist-packages/click/core.py”, line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/local/lib/python3.6/dist-packages/click/core.py”, line 1066, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/local/lib/python3.6/dist-packages/click/core.py”, line 610, in invoke
return callback(*args, **kwargs)
File “/home/ubuntu/free5gmano-cli/nm/nmctl.py”, line 295, in register_plugin
response = api.register_service_mapping_plugin(data, files)
File “/home/ubuntu/free5gmano-cli/utils/api.py”, line 55, in register_service_mapping_plugin
return requests.post(register_plugin_url, files=files, data=data, headers=zip_headers)
File “/usr/lib/python3/dist-packages/requests/api.py”, line 112, in post
return request(‘post’, url, data=data, json=json, **kwargs)
File “/usr/lib/python3/dist-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 520, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 630, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host=‘10.104.202.18’, port=30088): Max retries exceeded with url: /plugin/management/ (Caused by NewConnectionError(’<urllib3.connection.HTTPConnection object at 0x7f48e021f0f0>: Failed to establish a new connection: [Errno 110] Connection timed out’,))
`
Thanks